> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goldsky.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List pipelines

> List all pipelines in the current project. Optionally filter by type.



## OpenAPI

````yaml /turbo-pipelines/api/openapi.json get /pipelines/
openapi: 3.1.0
info:
  title: Goldsky API
  description: >-
    REST API for managing Goldsky pipelines. Create, deploy, monitor, and manage
    data pipelines programmatically.


    For a full introduction to Turbo Pipelines, see the [Turbo Pipelines
    documentation](https://docs.goldsky.com/turbo-pipelines/introduction).
  version: 1.0.0
  contact:
    name: Goldsky Support
    email: support@goldsky.com
    url: https://docs.goldsky.com
servers:
  - url: https://api.goldsky.com/api/v1
    description: Goldsky API
security:
  - BearerAuth: []
tags:
  - name: Pipelines
    description: >-
      Create, read, update, and delete pipelines. Manage pipeline lifecycle
      (pause, resume, restart).
  - name: Pipeline Logs
    description: Retrieve pipeline execution logs.
  - name: Pipeline Status
    description: Query pipeline runtime status and state information.
paths:
  /pipelines/:
    get:
      tags:
        - Pipelines
      summary: List pipelines
      description: List all pipelines in the current project. Optionally filter by type.
      parameters:
        - schema:
            type: string
          in: query
          name: type
          required: false
        - schema:
            minimum: 1
            maximum: 100
            type: number
          in: query
          name: pageSize
          required: false
        - schema:
            type: string
          in: query
          name: pageToken
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                        type:
                          type: string
                        status:
                          anyOf:
                            - type: string
                              enum:
                                - RUNNING
                            - type: string
                              enum:
                                - PAUSED
                            - type: string
                              enum:
                                - RESTARTING
                            - type: string
                              enum:
                                - DEPLOYING
                            - type: string
                              enum:
                                - STOPPED
                            - type: string
                              enum:
                                - FAILED
                            - type: string
                              enum:
                                - UNKNOWN
                        definition:
                          type: object
                          properties:
                            sources:
                              type: object
                              additionalProperties: {}
                            transforms:
                              type: object
                              additionalProperties: {}
                            sinks:
                              type: object
                              additionalProperties: {}
                            description:
                              type: string
                            resource_size:
                              type: string
                            use_dedicated_ip:
                              type: boolean
                            job:
                              type: boolean
                          required:
                            - sources
                            - transforms
                            - sinks
                        resource_size:
                          type: string
                        created_at:
                          format: date-time
                          type: string
                        updated_at:
                          format: date-time
                          type: string
                        version:
                          type: number
                        project_id:
                          type: string
                      required:
                        - name
                        - type
                        - status
                        - definition
                        - created_at
                        - updated_at
                  pagination:
                    type: object
                    properties:
                      next_page_token:
                        anyOf:
                          - type: string
                          - type: 'null'
                      page_size:
                        type: number
                    required:
                      - next_page_token
                      - page_size
                required:
                  - data
                  - pagination
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token generated from the [Goldsky
        Dashboard](https://app.goldsky.com/dashboard/settings/project). Pass as:
        Authorization: Bearer <token>

````